6.0.0-git
2021-01-18

[#3579] [PATCH] multidomain support for kolab driver
Summary [PATCH] multidomain support for kolab driver
Queue Kolab
Type Enhancement
State Resolved
Priority 2. Medium
Owners
Requester tokoe (at) kde (dot) org
Created 2006-03-08 (5430 days ago)
Due
Updated 2006-03-27 (5411 days ago)
Assigned
Resolved 2006-03-27 (5411 days ago)
Milestone
Patch No

History
2006-03-27 22:25:53 Jan Schneider Comment #5
State ⇒ Resolved
Reply to this comment
Further cleaned up and committed.
2006-03-27 07:29:57 tokoe (at) kde (dot) org Comment #4
New Attachment: horde_multidomain_support_cleanup.patch Download
Reply to this comment
Hi,



attached the cleanup of the code snippet mentioned below.



Ciao,

Tobias


2006-03-12 18:42:03 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
Committed, thanks.



A very nice and clean patch! I have only one suggestion: please change 
getServer() to code to use a switch statement, and the if-clause can 
be condensed to a single "if (!empty())" test.
2006-03-12 18:32:37 Jan Schneider Deleted Original Message
 
2006-03-08 14:14:31 tokoe (at) kde (dot) org Comment #2
New Attachment: horde_multidomain_support[1].patch Download
Reply to this comment
Hi,



missed the hooks.php in my first patch :(



Here an updated patch with hooks.php.dist included.



Ciao,

Tobias
2006-03-08 13:30:56 tokoe (at) kde (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ [PATCH] multidomain support for kolab driver
Queue ⇒ Kolab
New Attachment: horde_multidomain_support.patch
Reply to this comment
Hi,



the attached patch adds multidomain support to the horde kolab driver. 
So when a user logs into the webfrontend, its homeserver is queried 
from the ldap server and the imap/ldap/smtp servers are adjusted.



Ciao,

Tobias

Saved Queries